Subject: bug#56323: 29.0.50; [v2] Add new customisable phonetic Tamil input method

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Jul 2022 16:22:36 +0300

> From: Visuwesh <[email-masked]>
> Date: Fri, 01 Jul 2022 18:29:00 +0530
> 
> Also, can someone guide me to write a sort function for
> quail-tamil-itrans-compute-syllable-table please?  The ideal order of
> consonants should be the same as the one in the default value of
> tamil-consonant-translation, same for tamil-vowel-translation.  I tried
> the following
> 
>     (sort (reverse (mapcar #'car tamil-consonant-translation))
>           (lambda (x y) (let ((lx (length x))
>                               (ly (length y)))
>                            (if (= lx ly) (string-lessp x y) (< lx ly)))))
> 
> 
> but that definitely doesn't do what I want.  The idea was to sort the
> list so that the basic consonants (க் ங் ச் etc.) first then the composite
> ones (க்‌ஷ் க்ஷ் etc.) but `string-lessp' does not even sort the basic
> consonants in the right order (the right order being the order in the
> default value of `tamil-consonant-translation').

Then you'll need to write your own comparison function and use it
instead string-lessp.

> Can I use the min-width property in buffer text?

Why do you need that?  Please tell more about what you want to
accomplish.